/*
 * @(#)MacOSMenuBarUtilities.java	1.00 99/02/28
 *
 * Copyright 1999 by Luca Lutterotti,
 * Department of Material Engineering, University of Trento
 * via Mesiano, 77 - 38050 Trento, Italy
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Luca Lutterotti ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with the author.
 */

package it.unitn.ing.swing.plaf.macos;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.plaf.basic.*;
import javax.swing.border.*;
import javax.swing.event.InternalFrameEvent;
import java.util.EventListener;


/**
 * Interface for the MacOS menuBar utilities
 * @version 1.00 28/02/99
 * @author Luca Lutterotti
 */

interface MacOSMenuBarUtilities {
  public void addToMacMenuBar(MenuItem item);
  public void removeMacMenu(Menu item);
  public void removeMacMenu(MenuBar item);
  public MenuItem getMacMenuItem();
  public void installMacMenu();
}

